Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`template`.`TagLoader``

class documentation

`class TagLoader: (source)`

Constructor: `TagLoader(tag)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads an existing flattenable object.

Method | `__init__` | No summary
Method | `load` | Load a template suitable for rendering.
Instance Variable | `tag` | The object which will be loaded.

def __init__(self, tag: `Flattenable`): (source)

Parameters
tag:`Flattenable` | The object which will be loaded.

def load(self) -> `List[Flattenable]`: (source)
from `twisted.web.iweb.ITemplateLoader`

Load a template suitable for rendering.

Returns
`List[Flattenable]` | a `list` of flattenable objects, such as byte and unicode strings, `twisted.web.template.Element`s and `IRenderable` providers.

tag: `Flattenable` = (source)

The object which will be loaded.